



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>iOS之AVPlayer的简单应用</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">iOS之AVPlayer的简单应用</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-01 09:49:37 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>1.引入系统框架</p>
<p>2.创建视频的url</p>
<p>3.创建播放项目</p>
<p>4.初始化播放器</p>
<p>5.设置播放页面</p>
<div>
<pre class="prettyprint linenums">//引入系统文件<br />
#import &lt;AVFoundation/AVFoundation.h&gt;<br />
#import &lt;AVKit/AVKit.h&gt;<br />
@interface ViewController ()<br />
/**<br />
 *  控制视频播放的控件<br />
 */<br />
@property (weak, nonatomic) IBOutlet UISlider *progressSlider;<br />
/**<br />
 *  声明播放视频的控件属性[既可以播放视频也可以播放音频]<br />
 */<br />
@property (nonatomic,strong)AVPlayer *player;<br />
/**<br />
 *  播放的总时长<br />
 */<br />
@property (nonatomic,assign)CGFloat sumPlayOperation;

@end

@implementation ViewController

- (void)viewDidLoad {<br />
    [super viewDidLoad];<br />
    // Do any additional setup after loading the view, typically from a nib.<br />
    //设置播放的url<br />
    NSString *playString = @"http://static.tripbe.com/videofiles/20121214/9533522808.f4v.mp4";<br />
    NSURL *url = [NSURL URLWithString:playString];<br />
    //设置播放的项目<br />
    AVPlayerItem *item = [[AVPlayerItem alloc] initWithURL:url];<br />
    //初始化player对象<br />
    self.player = [[AVPlayer alloc] initWithPlayerItem:item];<br />
    //设置播放页面<br />
    AVPlayerLayer *layer = [AVPlayerLayer playerLayerWithPlayer:_player];<br />
    //设置播放页面的大小<br />
    layer.frame = CGRectMake(0, 0, [UIScreen mainScreen].bounds.size.width, 300);<br />
    layer.backgroundColor = [UIColor cyanColor].CGColor;<br />
    //设置播放窗口和当前视图之间的比例显示内容<br />
    layer.videoGravity = AVLayerVideoGravityResizeAspect;<br />
    //添加播放视图到self.view<br />
    [self.view.layer addSublayer:layer];<br />
    //设置播放进度的默认值<br />
    self.progressSlider.value = 0;<br />
    //设置播放的默认音量值<br />
    self.player.volume = 1.0f;

}<br />
#pragma mark - 开始按钮响应方法<br />
- (IBAction)startPlayer:(id)sender {<br />
    [self.player play];<br />
}<br />
#pragma mark - 暂停按钮响应方法<br />
- (IBAction)stopPlayer:(id)sender {<br />
    [self.player pause];<br />
}<br />
#pragma mark - 改变进度<br />
- (IBAction)changeProgress:(id)sender {<br />
    self.sumPlayOperation = self.player.currentItem.duration.value/self.player.currentItem.duration.timescale;<br />
    //CMTimeMake(a,b) a表示当前时间，b表示每秒钟有多少帧<br />
    [self.player seekToTime:CMTimeMakeWithSeconds(self.progressSlider.value*self.sumPlayOperation, self.player.currentItem.duration.timescale) completionHandler:^(BOOL finished) {<br />
        [self.player play];<br />
    }];

}
</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/g8ekz1j8.html">wf（三）</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2pwxo8.html">基于HTML5技术的电力3D监控应用（四）</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4eme39.html">unity中Debug输出控制</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1l22n9.html">ZOJ 1122 Clock&lpar;模拟&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmv63z9.html">会用errno，事半功倍</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv47oxq.html">学习ReactNative笔记整理一&lowbar;&lowbar;&lowbar;JavaScript基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy16lvdq.html">JQUERY选中问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pzzgj8.html">HDFS--笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljr61e9.html">强化学习（三）用动态规划（DP）求解</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2wjxpq.html">2017-9-14-Linux移植：加快Linux主机的启动速度</a>
		</li>
						<li><a href="https://www.batexi.com/a/960yk4n9.html">使用Mybatis时mybatis-config&period;xml配置中&amp;quot&semi;configuration&amp;quot&semi; 的内容必须匹配 &lpar;&period;&period;&period;&period;&period;&rpar;解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvk0ok8.html">【干货】从windows注册表读取重要信息-----这种技能非常重要，占电子取证的70&percnt;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwve7o38.html">微信小程序~wx&period;getUserInfo逐渐废弃，小程序登录过程将如何优化？</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5rojdq.html">HDU 4576 Robot</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv24x6o9.html">git的团队协作开发</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rn4em4q.html">CF576C Points on Plane 构造</a>
		</li>
						<li><a href="https://www.batexi.com/a/96323739.html">Ubuntu下安装Apache</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql13e319.html">mysql配置调优-开启慢查询日志-slow&lowbar;query&lowbar;log</a>
		</li>
						<li><a href="https://www.batexi.com/a/953o0jm8.html">01&period;CSS动画--&amp;gt&semi;transform</a>
		</li>
						<li><a href="https://www.batexi.com/a/9g3pvj0q.html">P1126 机器人搬重物</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8z1xryn9.html">Oracle系列之视图</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvnzdjq.html">CSS属性值一览</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wv01oq.html">&lbrack;转&rsqb; KMP算法详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvn0g1q.html">PHP数组排列</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4ywkzjq.html">c程序设计语言&lowbar;习题7-6&lowbar;对比两个输入文本文件&lowbar;输出它们不同的第一行&lowbar;并且要记录行号</a>
			</li>
						<li><a href="https://www.batexi.com/a/90vlpxj8.html">从头开始编写一个Orchard网上商店模块&lpar;3&rpar; - 创建Orchard&period;Webshop模块项目</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjegek9.html">ehcache基本原理</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7m30xgq.html">跟我学机器视觉-HALCON学习例程中文详解-测量圆环脚宽间距</a>
			</li>
						<li><a href="https://www.batexi.com/a/qydxx12q.html">文件同步工具BT Sync介绍和使用说明</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvnn21q.html">初探WebService</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
